stages:
  - build 

# builds  
build:noetic:
  stage: build
  tags:
    - docker
  image: noetic
  script:
    - apt update
    - rm -rf /home/ci/auctus_ws/ci/*
    - mkdir -p /home/ci/auctus_ws/ci/src/torque_qp
    - mv * /home/ci/auctus_ws/ci/src/torque_qp 
    - cd /home/ci/auctus_ws/ci/src
    - git clone https://github.com/kuka-isir/qpOASES.git
    - git clone https://gitlab.inria.fr/auctus-team/components/control/qp_solver.git
    - rosdep install --from-paths ../src --ignore-src -r -y
    - cd /home/ci/auctus_ws/ci/
    - catkin config --init  
    - catkin build
